package dev.fyloz.trial.colorrecipesexplorer.core.model.dto;

import dev.fyloz.trial.colorrecipesexplorer.core.model.Company;
import dev.fyloz.trial.colorrecipesexplorer.core.model.Recipe;
import lombok.Data;

import java.util.List;

@Data
public class RecipeEditorFormDto {

    private Long id;

    private String name;

    private Company company;

    private String description;

    private Integer sample;

    private String approbationDate;

    private String remark;

    private String note;

    private List<String> step;

    public Recipe getRecipe() {
        return new Recipe(id, name, company, description, sample, approbationDate, remark, note);
    }

}
